Bug 1969951 - Cluster local doesn't work for knative services created from dev console
Summary: Cluster local doesn't work for knative services created from dev console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
Harsh Mishra
URL:
Whiteboard:
Depends On:
Blocks: 1970796
TreeView+ depends on / blocked
 
Reported: 2021-06-09 14:10 UTC by Jaivardhan Kumar
Modified: 2021-09-15 17:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when the label changed for making a service cluster local on the Developer Console, users were not able to create a Knative service. This update to the Knative service uses the latest supported label for `cluster-local` in order to enable users to create a Knative service as cluster-local from Developer Console. (https://bugzilla.redhat.com/show_bug.cgi?id=1969951[*1969951*])
Clone Of:
: 1970796 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:12:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9197 0 None open Bug 1969951: update cluster-local label for ksvc 2021-06-09 14:40:20 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:12:41 UTC

Description Jaivardhan Kumar 2021-06-09 14:10:38 UTC
Description of problem: Cluster local doesn't work for knative services created from dev console


Version-Release number of selected component (if applicable): Serverless operator 1.15


How reproducible: always


Steps to Reproduce:
1. install serverless operator and create knative serving CR
2. create ksvc from any import flow and uncheck route

Actual results: created ksvc has label `serving.knative.dev/visibility`


Expected results:  created ksvc should have label `networking.knative.dev/visibility=cluster-local`


Additional info:
https://docs.openshift.com/container-platform/4.7/serverless/networking/serverless-ossm-custom-domains.html

Comment 3 Christoph Jerolimov 2021-06-11 18:10:44 UTC
Created a knative service without route and could verify the new label (networking.knative.dev/visibility: cluster-local).

Verified on 4.8.0-0.ci-2021-06-11-132716

Comment 6 errata-xmlrpc 2021-07-27 23:12:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.